// Package docs Code generated by swaggo/swag. DO NOT EDIT
package docs

import "github.com/swaggo/swag"

const docTemplate = `{
    "schemes": {{ marshal .Schemes }},
    "swagger": "2.0",
    "info": {
        "description": "{{escape .Description}}",
        "title": "{{.Title}}",
        "contact": {
            "name": "Saving Team"
        },
        "version": "{{.Version}}"
    },
    "host": "{{.Host}}",
    "basePath": "{{.BasePath}}",
    "paths": {
        "/api/v1/auth/login": {
            "post": {
                "description": "Login for admin",
                "consumes": [
                    "application/json"
                ],
                "produces": [
                    "application/json"
                ],
                "tags": [
                    "Auth"
                ],
                "summary": "Auth Login",
                "parameters": [
                    {
                        "type": "string",
                        "default": "123456",
                        "description": "Bearer Token",
                        "name": "Authorization",
                        "in": "header"
                    },
                    {
                        "description": "Required login request",
                        "name": "request",
                        "in": "body",
                        "required": true,
                        "schema": {
                            "$ref": "#/definitions/entity.LoginReq"
                        }
                    }
                ],
                "responses": {
                    "200": {
                        "description": "Success Response",
                        "schema": {
                            "allOf": [
                                {
                                    "$ref": "#/definitions/http.response"
                                },
                                {
                                    "type": "object",
                                    "properties": {
                                        "data": {
                                            "type": "array",
                                            "items": {
                                                "$ref": "#/definitions/entity.LoginRes"
                                            }
                                        }
                                    }
                                }
                            ]
                        }
                    },
                    "400": {
                        "description": "Bad Request"
                    },
                    "500": {
                        "description": "InternalServerError"
                    }
                }
            }
        },
        "/api/v1/loyality/member-get-member": {
            "post": {
                "description": "Member Get Member",
                "consumes": [
                    "application/json"
                ],
                "produces": [
                    "application/json"
                ],
                "tags": [
                    "Loyality Management"
                ],
                "summary": "Member Get Member",
                "parameters": [
                    {
                        "type": "string",
                        "default": "123456",
                        "description": "token",
                        "name": "Authorization",
                        "in": "header"
                    },
                    {
                        "description": "Required login request",
                        "name": "request",
                        "in": "body",
                        "required": true,
                        "schema": {
                            "$ref": "#/definitions/entity.MembergetMemberReq"
                        }
                    }
                ],
                "responses": {
                    "200": {
                        "description": "Success Response",
                        "schema": {
                            "$ref": "#/definitions/http.response"
                        }
                    },
                    "400": {
                        "description": "Bad Request"
                    },
                    "500": {
                        "description": "InternalServerError"
                    }
                }
            }
        },
        "/api/v1/loyality/membership": {
            "get": {
                "description": "List Membership",
                "consumes": [
                    "application/json"
                ],
                "produces": [
                    "application/json"
                ],
                "tags": [
                    "Loyality Management"
                ],
                "summary": "List Membership",
                "parameters": [
                    {
                        "type": "string",
                        "default": "123456",
                        "description": "token",
                        "name": "Authorization",
                        "in": "header"
                    }
                ],
                "responses": {
                    "200": {
                        "description": "Success Response",
                        "schema": {
                            "allOf": [
                                {
                                    "$ref": "#/definitions/http.response"
                                },
                                {
                                    "type": "object",
                                    "properties": {
                                        "data": {
                                            "type": "array",
                                            "items": {
                                                "$ref": "#/definitions/entity.GetListMembershipRes"
                                            }
                                        }
                                    }
                                }
                            ]
                        }
                    },
                    "400": {
                        "description": "Bad Request"
                    },
                    "500": {
                        "description": "InternalServerError"
                    }
                }
            }
        },
        "/api/v1/loyality/membership/{id}": {
            "get": {
                "description": "Detail Membership",
                "consumes": [
                    "application/json"
                ],
                "produces": [
                    "application/json"
                ],
                "tags": [
                    "Loyality Management"
                ],
                "summary": "Detail Membership",
                "parameters": [
                    {
                        "type": "string",
                        "default": "123456",
                        "description": "token",
                        "name": "Authorization",
                        "in": "header"
                    },
                    {
                        "type": "string",
                        "default": "1",
                        "description": "id",
                        "name": "id",
                        "in": "path",
                        "required": true
                    }
                ],
                "responses": {
                    "200": {
                        "description": "Success Response",
                        "schema": {
                            "allOf": [
                                {
                                    "$ref": "#/definitions/http.response"
                                },
                                {
                                    "type": "object",
                                    "properties": {
                                        "data": {
                                            "type": "array",
                                            "items": {
                                                "$ref": "#/definitions/entity.GetDetailMembershipRes"
                                            }
                                        }
                                    }
                                }
                            ]
                        }
                    },
                    "400": {
                        "description": "Bad Request"
                    },
                    "500": {
                        "description": "InternalServerError"
                    }
                }
            }
        },
        "/api/v1/loyality/reedem": {
            "post": {
                "description": "Reedem Poin",
                "consumes": [
                    "application/json"
                ],
                "produces": [
                    "application/json"
                ],
                "tags": [
                    "Loyality Management"
                ],
                "summary": "Reedem Poin",
                "parameters": [
                    {
                        "type": "string",
                        "default": "123456",
                        "description": "token",
                        "name": "Authorization",
                        "in": "header"
                    },
                    {
                        "description": "Required login request",
                        "name": "request",
                        "in": "body",
                        "required": true,
                        "schema": {
                            "$ref": "#/definitions/entity.ReedemPoinReq"
                        }
                    }
                ],
                "responses": {
                    "200": {
                        "description": "Success Response",
                        "schema": {
                            "allOf": [
                                {
                                    "$ref": "#/definitions/http.response"
                                },
                                {
                                    "type": "object",
                                    "properties": {
                                        "data": {
                                            "$ref": "#/definitions/entity.ReedemPoinRes"
                                        }
                                    }
                                }
                            ]
                        }
                    },
                    "400": {
                        "description": "Bad Request"
                    },
                    "500": {
                        "description": "InternalServerError"
                    }
                }
            }
        },
        "/api/v1/loyality/tier": {
            "get": {
                "description": "List Tier",
                "consumes": [
                    "application/json"
                ],
                "produces": [
                    "application/json"
                ],
                "tags": [
                    "Loyality Management"
                ],
                "summary": "List Tier",
                "parameters": [
                    {
                        "type": "string",
                        "default": "123456",
                        "description": "token",
                        "name": "Authorization",
                        "in": "header"
                    }
                ],
                "responses": {
                    "200": {
                        "description": "Success Response",
                        "schema": {
                            "allOf": [
                                {
                                    "$ref": "#/definitions/http.response"
                                },
                                {
                                    "type": "object",
                                    "properties": {
                                        "data": {
                                            "type": "array",
                                            "items": {
                                                "$ref": "#/definitions/entity.DetailTierReq"
                                            }
                                        }
                                    }
                                }
                            ]
                        }
                    },
                    "400": {
                        "description": "Bad Request"
                    },
                    "500": {
                        "description": "InternalServerError"
                    }
                }
            },
            "post": {
                "description": "Create Tier",
                "consumes": [
                    "application/json"
                ],
                "produces": [
                    "application/json"
                ],
                "tags": [
                    "Loyality Management"
                ],
                "summary": "Create Tier",
                "parameters": [
                    {
                        "type": "string",
                        "default": "123456",
                        "description": "token",
                        "name": "Authorization",
                        "in": "header"
                    },
                    {
                        "description": "Required login request",
                        "name": "request",
                        "in": "body",
                        "required": true,
                        "schema": {
                            "$ref": "#/definitions/entity.CreateTierReq"
                        }
                    }
                ],
                "responses": {
                    "200": {
                        "description": "Success Response",
                        "schema": {
                            "$ref": "#/definitions/http.response"
                        }
                    },
                    "400": {
                        "description": "Bad Request"
                    },
                    "500": {
                        "description": "InternalServerError"
                    }
                }
            }
        },
        "/api/v1/loyality/tier/{id}": {
            "put": {
                "description": "Update Tier",
                "consumes": [
                    "application/json"
                ],
                "produces": [
                    "application/json"
                ],
                "tags": [
                    "Loyality Management"
                ],
                "summary": "Update Tier",
                "parameters": [
                    {
                        "type": "string",
                        "default": "123456",
                        "description": "token",
                        "name": "Authorization",
                        "in": "header"
                    },
                    {
                        "type": "string",
                        "default": "1",
                        "description": "id",
                        "name": "id",
                        "in": "path",
                        "required": true
                    },
                    {
                        "description": "Required login request",
                        "name": "request",
                        "in": "body",
                        "required": true,
                        "schema": {
                            "$ref": "#/definitions/entity.CreateTierReq"
                        }
                    }
                ],
                "responses": {
                    "200": {
                        "description": "Success Response",
                        "schema": {
                            "$ref": "#/definitions/http.response"
                        }
                    },
                    "400": {
                        "description": "Bad Request"
                    },
                    "500": {
                        "description": "InternalServerError"
                    }
                }
            },
            "delete": {
                "description": "Delete Tier",
                "consumes": [
                    "application/json"
                ],
                "produces": [
                    "application/json"
                ],
                "tags": [
                    "Loyality Management"
                ],
                "summary": "Delete Tier",
                "parameters": [
                    {
                        "type": "string",
                        "default": "123456",
                        "description": "token",
                        "name": "Authorization",
                        "in": "header"
                    },
                    {
                        "type": "string",
                        "default": "1",
                        "description": "id",
                        "name": "id",
                        "in": "path",
                        "required": true
                    }
                ],
                "responses": {
                    "200": {
                        "description": "Success Response",
                        "schema": {
                            "$ref": "#/definitions/http.response"
                        }
                    },
                    "400": {
                        "description": "Bad Request"
                    },
                    "500": {
                        "description": "InternalServerError"
                    }
                }
            }
        },
        "/api/v1/loyality/transaction": {
            "post": {
                "description": "Create Transaction",
                "consumes": [
                    "application/json"
                ],
                "produces": [
                    "application/json"
                ],
                "tags": [
                    "Loyality Management"
                ],
                "summary": "Create Transaction",
                "parameters": [
                    {
                        "type": "string",
                        "default": "123456",
                        "description": "token",
                        "name": "Authorization",
                        "in": "header"
                    },
                    {
                        "description": "Required login request",
                        "name": "request",
                        "in": "body",
                        "required": true,
                        "schema": {
                            "$ref": "#/definitions/entity.CreateTransactionReq"
                        }
                    }
                ],
                "responses": {
                    "200": {
                        "description": "Success Response",
                        "schema": {
                            "allOf": [
                                {
                                    "$ref": "#/definitions/http.response"
                                },
                                {
                                    "type": "object",
                                    "properties": {
                                        "data": {
                                            "$ref": "#/definitions/entity.CreateTransactionRes"
                                        }
                                    }
                                }
                            ]
                        }
                    },
                    "400": {
                        "description": "Bad Request"
                    },
                    "500": {
                        "description": "InternalServerError"
                    }
                }
            }
        }
    },
    "definitions": {
        "entity.CreateTierReq": {
            "type": "object",
            "required": [
                "maxPoin",
                "minPoin",
                "name"
            ],
            "properties": {
                "maxPoin": {
                    "type": "integer"
                },
                "minPoin": {
                    "type": "integer"
                },
                "name": {
                    "type": "string"
                }
            }
        },
        "entity.CreateTransactionReq": {
            "type": "object",
            "required": [
                "items",
                "memberId"
            ],
            "properties": {
                "items": {
                    "type": "array",
                    "items": {
                        "$ref": "#/definitions/entity.Item"
                    }
                },
                "memberId": {
                    "type": "integer"
                }
            }
        },
        "entity.CreateTransactionRes": {
            "type": "object",
            "properties": {
                "totalAmount": {
                    "type": "integer"
                },
                "transactionDate": {
                    "type": "string"
                },
                "trrefn": {
                    "type": "string"
                }
            }
        },
        "entity.DetailTierReq": {
            "type": "object",
            "properties": {
                "createdAt": {
                    "type": "string"
                },
                "deletedAt": {
                    "type": "string"
                },
                "id": {
                    "type": "string"
                },
                "maxPoin": {
                    "type": "string"
                },
                "minPoin": {
                    "type": "string"
                },
                "name": {
                    "type": "string"
                },
                "updatedAt": {
                    "type": "string"
                }
            }
        },
        "entity.GetDetailMembershipRes": {
            "type": "object",
            "properties": {
                "address": {
                    "type": "string"
                },
                "dob": {
                    "type": "string"
                },
                "earnedPoint": {
                    "type": "integer"
                },
                "email": {
                    "type": "string"
                },
                "historyPoint": {
                    "type": "array",
                    "items": {
                        "$ref": "#/definitions/entity.HistoryPoint"
                    }
                },
                "joinDate": {
                    "type": "string"
                },
                "memberNo": {
                    "type": "integer"
                },
                "name": {
                    "type": "string"
                },
                "phoneNo": {
                    "type": "string"
                },
                "reedemedPoint": {
                    "type": "integer"
                },
                "remainedPoint": {
                    "type": "integer"
                },
                "status": {
                    "type": "string"
                }
            }
        },
        "entity.GetListMembershipRes": {
            "type": "object",
            "properties": {
                "email": {
                    "type": "string"
                },
                "joinDate": {
                    "type": "string"
                },
                "memberNo": {
                    "type": "integer"
                },
                "name": {
                    "type": "string"
                },
                "phoneNo": {
                    "type": "string"
                },
                "remainedPoint": {
                    "type": "integer"
                },
                "status": {
                    "type": "string"
                }
            }
        },
        "entity.HistoryPoint": {
            "type": "object",
            "properties": {
                "point": {
                    "type": "integer"
                },
                "trxDate": {
                    "type": "string"
                },
                "trxRef": {
                    "type": "string"
                },
                "type": {
                    "type": "string"
                }
            }
        },
        "entity.Item": {
            "type": "object",
            "properties": {
                "id": {
                    "type": "integer"
                },
                "quantity": {
                    "type": "integer"
                }
            }
        },
        "entity.LoginReq": {
            "type": "object",
            "required": [
                "password"
            ],
            "properties": {
                "email": {
                    "type": "string"
                },
                "password": {
                    "type": "string"
                },
                "rememberMe": {
                    "type": "boolean"
                }
            }
        },
        "entity.LoginRes": {
            "type": "object",
            "properties": {
                "accessToken": {
                    "type": "string"
                },
                "accessTokenExpiredAt": {
                    "type": "string"
                },
                "refreshToken": {
                    "type": "string"
                },
                "refreshTokenExpiredAt": {
                    "type": "string"
                },
                "userId": {
                    "type": "integer"
                }
            }
        },
        "entity.MembergetMemberReq": {
            "type": "object",
            "required": [
                "memberId",
                "refMember"
            ],
            "properties": {
                "memberId": {
                    "type": "integer"
                },
                "refMember": {
                    "type": "array",
                    "items": {
                        "$ref": "#/definitions/entity.RefMember"
                    }
                }
            }
        },
        "entity.ReedemPoinReq": {
            "type": "object",
            "required": [
                "memberId",
                "totalPoin"
            ],
            "properties": {
                "memberId": {
                    "type": "integer"
                },
                "totalPoin": {
                    "type": "integer"
                }
            }
        },
        "entity.ReedemPoinRes": {
            "type": "object",
            "properties": {
                "earnedPoin": {
                    "type": "integer"
                },
                "memberId": {
                    "type": "integer"
                },
                "reedemedAt": {
                    "type": "string"
                },
                "reedemedPoin": {
                    "type": "integer"
                },
                "remainingPoin": {
                    "type": "integer"
                }
            }
        },
        "entity.RefMember": {
            "type": "object",
            "required": [
                "email",
                "name",
                "phoneNo"
            ],
            "properties": {
                "email": {
                    "type": "string"
                },
                "name": {
                    "type": "string"
                },
                "phoneNo": {
                    "type": "string"
                }
            }
        },
        "http.StatusCode": {
            "type": "string",
            "enum": [
                "00",
                "02",
                "03",
                "99"
            ],
            "x-enum-varnames": [
                "CodeSuccess",
                "CodeConflict",
                "CodeUnprocessableEntity",
                "CodeGeneralError"
            ]
        },
        "http.StatusText": {
            "type": "string",
            "enum": [
                "SUCCESS",
                "NOT_FOUND",
                "BAD_REQUEST",
                "UNAUTHORIZED",
                "CONFLICT",
                "UNPROCESSABLE_ENTITY",
                "INTERNAL_SERVER_ERROR"
            ],
            "x-enum-varnames": [
                "StatusSuccess",
                "StatusNotFound",
                "StatusBadRequest",
                "StatusUnauthorized",
                "StatusConflict",
                "StatusUnprocessableEntity",
                "StatusInternalServerError"
            ]
        },
        "http.response": {
            "type": "object",
            "properties": {
                "code": {
                    "$ref": "#/definitions/http.StatusCode"
                },
                "data": {},
                "errors": {
                    "type": "string"
                },
                "serverTime": {
                    "type": "integer"
                },
                "status": {
                    "$ref": "#/definitions/http.StatusText"
                }
            }
        }
    }
}`

// SwaggerInfo holds exported Swagger Info so clients can modify it
var SwaggerInfo = &swag.Spec{
	Version:          "0.1",
	Host:             "",
	BasePath:         "",
	Schemes:          []string{},
	Title:            "LOYALITY MANAGEMENT API",
	Description:      "This service is to handle Loyality Management Serice. For more detail, please visit https://gitlab.com/XXXXXX",
	InfoInstanceName: "swagger",
	SwaggerTemplate:  docTemplate,
	LeftDelim:        "{{",
	RightDelim:       "}}",
}

func init() {
	swag.Register(SwaggerInfo.InstanceName(), SwaggerInfo)
}
